Skip to main content
GET
List batches
Requires workspace preview access. See Video and batch jobs for setup, webhooks, and result handling.

Authorizations

Authorization
string
header
required

Bearer token authentication

Query Parameters

limit
integer

Maximum number of batch jobs to return. Defaults to 20 and caps at 100.

Required range: 1 <= x <= 100
status
string[]

Batch lifecycle status filter. Repeat the parameter, use a comma-separated status value, or use statuses for comma-separated filters.

statuses
string

Comma-separated lifecycle status filters.

offset
integer

Number of batch jobs to skip before returning the page.

Required range: 0 <= x <= 10000

Response

Batch list response

object
string
Example:

"list"

data
object[]
first_id
string | null
last_id
string | null
has_more
boolean
Last modified on October 18, 2026